Bug 91703 - FILESAVE: Light parallel lines on a picture after pdfexport.
Summary: FILESAVE: Light parallel lines on a picture after pdfexport.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-05-28 17:36 UTC by Alexandr
Modified: 2018-11-08 04:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
result of export (38.97 KB, application/pdf)
2015-05-28 17:36 UTC, Alexandr
Details
screenshot in evince (53.35 KB, image/png)
2015-05-28 17:37 UTC, Alexandr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr 2015-05-28 17:36:38 UTC
Created attachment 116110 [details]
result of export

Hello.

When I export attachment 88384 [details] (bug 71068) to pdf and open it in a viewer I see light parallel lines on red and green areas of the picture. I tried to open it with Evince, Okular, GIMP, ImageMagick and PDFmod on Debian x86_64. The lines are different in different programs and with different scales.

The problem appeared in LibreOffice 4.4.0, after bug 71068 was fixed (before it the image was destroyed after export). I reproduce it with LibreOffice 5.0.0.0beta1.
Comment 1 Alexandr 2015-05-28 17:37:58 UTC
Created attachment 116111 [details]
screenshot in evince
Comment 2 Pedro 2015-05-28 21:57:27 UTC
Bug confirmed under Windows XP Pro x86 SP3 and Win 7 Pro x64 SP1
Comment 3 QA Administrators 2016-09-20 09:46:13 UTC Comment hidden (obsolete)
Comment 4 Pedro 2016-09-29 15:09:11 UTC
Bug still occurs under version 5.2.2.2 (tested under Windows 7 x64).

This is most likely related to the way gradients are handled by LibreOffice. They are converted to a limited number of colored lines (thus the light lines).

Opening the resulting PDF in Draw is even worse.

This bug might be solved when proper gradients are exported/imported to/from PDF (see Bug #44731).
Comment 5 QA Administrators 2017-10-30 08:30:01 UTC Comment hidden (obsolete)
Comment 6 Pedro 2017-11-07 23:18:10 UTC
Bug still occurs under Windows 10 using LO 5.3.7 and 5.4.2
Comment 7 QA Administrators 2018-11-08 04:07:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug